Bug 132350 - Icon of updates button on right end of menu bar is still not visible with kf5 and gtk3 vcl (or again not visible)
Summary: Icon of updates button on right end of menu bar is still not visible with kf5...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2020-04-23 12:23 UTC by sergio.callegari
Modified: 2020-12-01 15:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Missing button in LibO 7.0.3.1 (16.46 KB, image/png)
2020-10-27 11:04 UTC, sergio.callegari
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2020-04-23 12:23:32 UTC
Description:
When an update to some extension is available, LibO tries to detect it and provide a notification. An icon should appear in the top right corner of the LibO window with a notification text staying up for a few seconds. The icon should provide a shorthand to update the extension when clicked.

Unfortunately, at least with the kde5 VCL this does not work as it should. A notification text is shown for a few secs, but there is no icon.

Because of the lack of the icon, when the notification text appears, it points at nothing. And the user may wonder how to update the extension (before resorting to tools->extension manager).

Furthermore, because the notification stays up just a few secs, without the icon it is also very easy for the user to miss the notification.

The issue is very similar to the one in bug 113205 (closed a few months ago). With respect to it the sole difference is that before 113205 was fixed the icon was in fact there, only not visible (hovering with the mouse on the top right corner of LibO used to make a small frame appear together with the notification text). Now that the issue is re-appearing (or was never totally fixed), there is no such behavior (hovering with the mouse on the place where the icon was supposed to be does nothing).

I am sure that the issue is in 6.4.3.2 with the KDE5 VCL, but probably it was in LibO at least through all the whole 6.4 series, and maybe even before. As already suggested, it may even be the case that the issue was not fully fixed from start on the KDE5 VCL (unsure because I do not get extension updates notifications that often).

Note that many extensions are distributed with LibO and get upgraded when you upgrade LibO, Hence, if you update LibO frequently, as I do, and only use use a few relatively stable external extensions, the notification is hardly ever used anyways. Furthermore, trying to reproduce the issue is hard even by purposely downgrading and extension, because the notification appearance time is hard to foresee. This is why the problem may easily go unnoticed.

In a nutshell, to me the issue is more with the confusion deriving in users from the lack of the icon following the notification (and the fact that the UI may seem a bit erratic as a consequence), than with the lack of a proper notification and the possibility of missing extension updates.

Issue seen on 
Version: 6.4.3.2
Build ID: 747b5d0ebf89f41c860ec2a39efd7cb15b54f2d8
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: kf5; 
Locale: it-IT (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Steps to Reproduce:
Hard for me to reproduce the issue with user actions. Even purposely downgrading an extension does not cause the extension update notification to appear shortly and when it appears it is easy to miss it since it disappears soon.

Actual Results:
See description

Expected Results:
See description


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
See description
Comment 1 sergio.callegari 2020-04-23 12:55:08 UTC
Note that checking for the availability of extension updates form the Extension Manager also is not a completely smooth experience (see also bug 132352).
Comment 2 Rizal Muttaqin 2020-07-04 04:05:08 UTC
Hai Sergio, could you please provide a screenshot?
Comment 3 Xisco Faulí 2020-08-11 10:36:42 UTC
(In reply to Rizal Muttaqin from comment #2)
> Hai Sergio, could you please provide a screenshot?

Setting to NEEDINFO
OTOH, does it happen if you execute LibreOffice from commandline with 'SAL_USE_VCLPLUGIN=gen soffice' ?
Comment 4 sergio.callegari 2020-10-27 11:04:43 UTC
Created attachment 166767 [details]
Missing button in LibO 7.0.3.1
Comment 5 sergio.callegari 2020-10-27 11:06:47 UTC
Added screenshot. Plus this is a KDE thing. With the VCL set to gen, you get the icon.
Comment 6 Xisco Faulí 2020-11-30 12:47:53 UTC
You can't confirm your own bugs. Moving it back to UNCONFIRMED until someone
else confirms it.
Comment 7 Michael Weghorn 2020-12-01 07:15:28 UTC
I've created a dummy/demo patch to make the update button show up for testing purposes:
https://gerrit.libreoffice.org/c/core/+/106922

With this patch in place, starting Writer and waiting a minute makes the issue reproducible with

Version: 7.2.0.0.alpha0+
Build ID: 82d8d76b8a6bb0d7b6585411666f5421a99b6d34
CPU threads: 12; OS: Linux 5.9; UI render: default; VCL: kf5
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded

and

Version: 7.2.0.0.alpha0+
Build ID: 82d8d76b8a6bb0d7b6585411666f5421a99b6d34
CPU threads: 12; OS: Linux 5.9; UI render: default; VCL: gtk3
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 8 Michael Weghorn 2020-12-01 07:17:35 UTC
This looks similar to tdf#123549.

At a quick glance, gtk3 and qt5 might have to override 'SalMenu::AddMenuBarButton' to implement the button to show in their native menu bars.
Comment 9 Michael Weghorn 2020-12-01 07:47:27 UTC
(In reply to Michael Weghorn from comment #7)
> I've created a dummy/demo patch to make the update button show up for
> testing purposes:
> https://gerrit.libreoffice.org/c/core/+/106922

Note: this might need the '--enable-online-update' autogen option.
Comment 10 Caolán McNamara 2020-12-01 10:08:06 UTC
I will add gtk support for this
Comment 11 Commit Notification 2020-12-01 15:17:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4bf54eb22cfe604dc29c4f7e3ffa687324b19636

tdf#132350 gtk: implement extra update button in menubar

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-12-01 15:18:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8d20a638c6a25555f2835966fa322f7ddcf9e92e

tdf#132350 gtk: implement extra update button in menubar

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Caolán McNamara 2020-12-01 15:43:51 UTC
I'll leave this open because the original report is for KDE and adding GTK support doesn't solve that.